require('source/mouse_handle.lua')
require('source/tiledmap.lua')

gKeyPressed = {}
gCamX,gCamY = 100,100
inMain = true
inGame = false
music_stoped = false

function love.load()
	
	if inMain then
		main_menu_image = love.graphics.newImage('assets/images/menu.png')
		music = love.audio.newSource('assets/music/menu.ogg') 
		love.audio.play(music)
	end
		 
	love.graphics.setBackgroundColor(255,255,255)

end

function love.mousereleased(x, y, button)
	
	if inMain == true then
		checkMainMenu(x, y, button)
	end
	
end

function love.keyreleased(key)
    gKeyPressed[key] = nil
end

function love.keypressed(key, unicode)
		
		gKeyPressed[key] = true
		
end


function love.update(dt)

	if inMain == true then
		checkMainMenuHover()
	else
		vol = music:getVolume()
		if music_stoped == false then
			vol = vol - (dt / 3);
			print('Main menu - Music volume: ' .. vol)
			music:setVolume(vol)
			if vol < 0 then
				print('Main menu - Music: STOPED')
				love.audio.stop(music)
				music_stoped = true
			end
		end
	end
	
	
	local s = 500*dt
		if (gKeyPressed.up) then gCamY = gCamY - s end
		if (gKeyPressed.down) then gCamY = gCamY + s end
		if (gKeyPressed.left) then gCamX = gCamX - s end
		if (gKeyPressed.right) then gCamX = gCamX + s end
	
end

function love.draw()
	
	if inMain == true then
		
		love.graphics.reset()
		love.graphics.draw(main_menu_image, 0, 0)
		
		love.graphics.setColor(0, 0, 0)
		love.graphics.setLine(2, 'smooth')
		love.graphics.rectangle('line', menurecx, menurecy, 200, 60)
		love.graphics.reset()
		
	else
		TiledMap_DrawNearCam(gCamX, gCamY)
	end
	
end